IDS/IPS (Template)
6 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getTemplateGridAllowList | GET | Get site template grid ips allow list |
| getIpsTemplateConfig | GET | Get site template IDS/IPS config |
| modifyIpsTemplateConfig | PATCH | Modify site template IDS/IPS config |
| editTemplateAllowList | PATCH | Edit site template's allow list |
| createTemplateAllowList | POST | Create site template's allow list |
| deleteTemplateAllowList | DELETE | Delete template allow list |
getTemplateGridAllowList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/grid/allow-list
Get site template grid ips allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field IP / Subnet |
// omada_call_operation
{
"operationId": "getTemplateGridAllowList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Obtain site template grid allow list.
The interface requires one of the permissions:
Global Site Template Manager View Only
getIpsTemplateConfig
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/ips
Get site template IDS/IPS config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getIpsTemplateConfig",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template IDS/IPS config
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyIpsTemplateConfig
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/ips
Modify site template IDS/IPS config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema IpsInfo
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable IDS/IPS config. If parameter[enable] is true, parameter[ipsMode] and parameter[dplevel] are needed |
ipsMode | integer | no | IpsMode should be a value as follows: 0: detect only; 1: detect and block |
geoEnable | boolean | no | Whether to enable identifying the source country and destination country of attack ip addresses. |
dpLevel | integer | no | DpLevel should be a value as follows: 0: Low; 1: Medium; 2: High; 3: Custom |
customCategories | array<integer> | no | Custom IDS/IPS categories list, if parameter[Dplevel] is 3, customCategories is needed.CustomCategories should be a list as follow: 1: Botcc, 2: Worm, 3: Malware, 4: Mobile_Malware, 6: P2P, 7: Tor, 8: Exploit, 9: Shellcode, 14: Activex, 15: DNS, 18: User Agents, 24: DShield |
timeRangeId | string | no | This field represents Time Range ID. Time Range can be created using 'Create time range profile' interface, and Time Range ID can be obtained from 'Get time range profile list' interface. If parameter[timeRangeId] is null, IDS/IPS will be effective in all time ranges. |
// omada_call_operation
{
"operationId": "modifyIpsTemplateConfig",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template IDS/IPS config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35205 - The adopted gateway does not support IDS/IPS configurations.
editTemplateAllowList
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/ips/allow-list
Edit site template's allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema Modify IPS allow list entry
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | Allow list entry ID. |
direction | integer | no | The location of the target that can trigger the threat, direction should be a value as follows:0: both 1: source, 2: destination. |
trafficType | integer | no | Exempt the category of objects (targets) that can trigger the threat, trafficType should be a value as follows: 0: IP Address, 1: Network, 2: Subnet. |
ipAddress | string | no | The value of the trafficType is 0, indicating IP address. |
network | string | no | The value of the trafficType is 1, indicating LAN network ID. |
subnet | string | no | The value of the trafficType is 2, indicating subnet. |
// omada_call_operation
{
"operationId": "editTemplateAllowList",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template's allow list entry.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35205 - The adopted gateway does not support IDS/IPS configurations.
createTemplateAllowList
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/ips/allow-list
Create site template's allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema New IPS allow list entry
| Field | Type | Required | Description |
|---|---|---|---|
direction | integer | no | The location of the target that can trigger the threat, direction should be a value as follows:0: both 1: source, 2: destination. |
trafficType | integer | no | Exempt the category of objects (targets) that can trigger the threat, trafficType should be a value as follows: 0: IP Address, 1: Network, 2: Subnet. |
ipAddress | string | no | The value of the trafficType is 0, indicating IP address. |
network | string | no | The value of the trafficType is 1, indicating LAN network ID. |
subnet | string | no | The value of the trafficType is 2, indicating subnet. |
// omada_call_operation
{
"operationId": "createTemplateAllowList",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create site template's allow list.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35202 - The number of allow list entries has reached the limit.
-35205 - The adopted gateway does not support IDS/IPS configurations.
deleteTemplateAllowList
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/ips/allow-list/{entryId}
Delete template allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
entryId | path | string | yes | Allow entry ID |
// omada_call_operation
{
"operationId": "deleteTemplateAllowList",
"params": {
"siteTemplateId": "<siteTemplateId>",
"entryId": "<entryId>"
}
}Details, permissions and error codes
Delete template allow List by entry id.
The interface requires one of the permissions:
Global Site Template Manager Modify